OpenNMS API 1.2.9

## org.opennms.netmgt.utils
Class JDBCTemplate

    java.lang.Object
      org.opennms.netmgt.utils.JDBCTemplate

Direct Known Subclasses:
  Querier, Updater

public abstract class JDBCTemplate
extends java.lang.Object

Author:
  brozow

Field Summary
`private DbConnectionFactory` `m_db`
`private java.lang.String` `m_sql`

Constructor Summary
`protected` `JDBCTemplate(DbConnectionFactory db, java.lang.String sql)`

Method Summary
`private java.lang.String` `argsToString(java.lang.Object[] values)`
`private void` `doExecute(java.lang.Object[] values)`
`void` `execute()`
`void` `execute(java.lang.Object o)`
`void` `execute(java.lang.Object[] values)`
`void` `execute(java.lang.Object o1, java.lang.Object o2)`
`void` `execute(java.lang.Object o1, java.lang.Object o2, java.lang.Object o3)`
`void` `execute(java.lang.Object o1, java.lang.Object o2, java.lang.Object o3, java.lang.Object o4)`
`void` `execute(java.lang.Object o1, java.lang.Object o2, java.lang.Object o3, java.lang.Object o4, java.lang.Object o5)`
`(package private) abstract void` `executeStmt(java.sql.PreparedStatement stmt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_db

    private DbConnectionFactory m_db

### m_sql

    private java.lang.String m_sql

Constructor Detail

### JDBCTemplate

    protected JDBCTemplate(DbConnectionFactory db,
                           java.lang.String sql)

Method Detail

### execute

    public void execute()

### execute

    public void execute(java.lang.Object o)

### execute

    public void execute(java.lang.Object o1,
                        java.lang.Object o2)

### execute

    public void execute(java.lang.Object o1,
                        java.lang.Object o2,
                        java.lang.Object o3)

### execute

    public void execute(java.lang.Object o1,
                        java.lang.Object o2,
                        java.lang.Object o3,
                        java.lang.Object o4)

### execute

    public void execute(java.lang.Object o1,
                        java.lang.Object o2,
                        java.lang.Object o3,
                        java.lang.Object o4,
                        java.lang.Object o5)

### execute

    public void execute(java.lang.Object[] values)

### argsToString

    private java.lang.String argsToString(java.lang.Object[] values)

### doExecute

    private void doExecute(java.lang.Object[] values)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### executeStmt

    abstract void executeStmt(java.sql.PreparedStatement stmt)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.